import { prefixPagePath, dynamicPageName } from "../../../../core/utils";
import { scenicSpotList } from './../../services';
Component({
  data: {},
  props: {},

  didMount() {},

  methods: {
    onService(data) {
      return scenicSpotList(data);
    },

    toDetail({
      currentTarget
    }) {
      const {
        value: scenicId
      } = currentTarget.dataset;
      my.navigateTo({
        url: `${prefixPagePath}/${dynamicPageName}/index?recordId=${scenicId}&pageCode=scenicSpotDetail`
      });
    }

  }
});